﻿// <copyright file="ViewModelBaseExtensions.cs" company="Ucaya">
// </copyright>
// <author>Ucaya</author>

namespace Channel9Kinect
{
    #region

    using System;
    using System.Linq.Expressions;

    #endregion

    public static class ViewModelBaseExtensions
    {
        #region Public Methods

        public static void RaisePropertyChanged<T, TProperty>(this T observableBase, Expression<Func<T, TProperty>> expression) where T : ViewModelBase
        {
            observableBase.RaisePropertyChanged(observableBase.GetPropertyName(expression));
        }

        #endregion
    }
}