﻿// <copyright file="MainWindow.xaml.cs" company="Ucaya">
// </copyright>
// <author>Ucaya</author>

namespace Channel9Kinect
{
    #region

    using System.ComponentModel.Composition;

    using Channel9Kinect.Services;

    #endregion

    /// <summary>
    ///   Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow
    {
        #region Constructors and Destructors

        public MainWindow()
        {
            this.InitializeComponent();
            ServiceLocator.Instance.SatisfyImportsOnce(this);
            this.NavigationServiceWrapper.NavigationService = this.frame.NavigationService;
        }

        #endregion

        #region Public Properties

        [Import]
        public NavigationServiceWrapper NavigationServiceWrapper { get; set; }

        #endregion
    }
}