﻿// <copyright file="PageChangingEventArgs.cs" company="Ucaya">
// </copyright>
// <author>Ucaya</author>

namespace Channel9Kinect
{
    #region

    using System.ComponentModel;

    #endregion

    public class PageChangingEventArgs : CancelEventArgs
    {
        #region Constructors and Destructors

        public PageChangingEventArgs(int newPageIndex)
        {
            this.NewPageIndex = newPageIndex;
        }

        #endregion

        #region Public Properties

        public int NewPageIndex { get; private set; }

        #endregion
    }
}