﻿// <copyright file="RelativePositionEventArgs.cs" company="Ucaya">
// </copyright>
// <author>Ucaya</author>

namespace KinectExtensions.Nui
{
    #region

    using System;
    using System.Windows;

    #endregion

    /// <summary>
    ///   TODO: Update summary.
    /// </summary>
    public class RelativePositionEventArgs : EventArgs
    {
        #region Constructors and Destructors

        /// <summary>
        ///   Initializes a new instance of the <see cref = "RelativePositionEventArgs" /> class.
        /// </summary>
        /// <param name = "position">
        ///   The position.
        /// </param>
        public RelativePositionEventArgs(Point? position)
        {
            this.Position = position;
        }

        #endregion

        #region Public Properties

        /// <summary>
        ///   Gets Position.
        /// </summary>
        public Point? Position { get; private set; }

        #endregion
    }
}