﻿// <copyright file="DataEventArgs.cs" company="Ucaya">
// </copyright>
// <author>Ucaya</author>

namespace Channel9Kinect.Core
{
    #region

    using System;

    #endregion

    public class DataEventArgs<T> : EventArgs
    {
        #region Constructors and Destructors

        public DataEventArgs(T data)
        {
            this.Data = data;
        }

        #endregion

        #region Public Properties

        public T Data { get; private set; }

        #endregion
    }

    public static class DataEventArgs
    {
        #region Public Methods

        public static DataEventArgs<T> Create<T>(T data)
        {
            return new DataEventArgs<T>(data);
        }

        #endregion
    }
}