﻿// <copyright file="FeedViewModel.cs" company="Ucaya">
// </copyright>
// <author>Ucaya</author>

namespace Channel9Kinect
{
    public class FeedViewModel : ViewModelBase
    {
        #region Constants and Fields

        private FeedItemCollectionSource source;

        #endregion

        #region Constructors and Destructors

        public FeedViewModel()
        {
            this.Source = new FeedItemCollectionSource();
        }

        #endregion

        #region Public Properties

        public FeedItemCollectionSource Source
        {
            get
            {
                return this.source;
            }
            set
            {
                if (this.source != value)
                {
                    this.source = value;
                    this.RaisePropertyChanged(n => n.Source);
                }
            }
        }

        #endregion
    }
}