﻿// <copyright file="IPagedCollectionSource.cs" company="Ucaya">
// </copyright>
// <author>Ucaya</author>

namespace Channel9Kinect
{
    #region

    using System;

    #endregion

    public interface IPagedCollectionSource
    {
        #region Public Events

        event EventHandler RecreateCollection;

        #endregion

        #region Public Methods

        void GetPagedCollection(Action<IPagedCollection> callback, Action<Exception> error, int pageSize);

        #endregion
    }

    public interface IPagedCollectionSource<T> : IPagedCollectionSource
    {
        #region Public Methods

        void GetPagedCollection(Action<IPagedCollection<T>> callback, Action<Exception> error, int pageSize);

        #endregion
    }
}