﻿// <copyright file="MediaRssExtensions.cs" company="Ucaya">
// </copyright>
// <author>Ucaya</author>

namespace MediaRss
{
    #region

    using System.Collections.Generic;
    using System.Linq;
    using System.ServiceModel.Syndication;

    #endregion

    public static class MediaRssExtensions
    {
        #region Public Methods

        public static MediaRssItem AsMediaRssItem(this SyndicationItem item)
        {
            return (item as MediaRssItem);
        }

        public static IEnumerable<MediaRssItem> AsMediaRssItems(this IEnumerable<SyndicationItem> items)
        {
            return items.Cast<MediaRssItem>();
        }

        #endregion
    }
}