﻿// <copyright file="BindingHelper.cs" company="Ucaya">
// </copyright>
// <author>Ucaya</author>

namespace KinectExtensions.Helpers
{
    #region

    using System.Windows;

    #endregion

    /// <summary>
    ///   TODO: Update summary.
    /// </summary>
    public class BindingHelper : FrameworkElement
    {
        #region Constants and Fields

        /// <summary>
        ///   Value depedency property.
        /// </summary>
        public static readonly DependencyProperty ValueProperty = DependencyProperty.Register("Value", typeof(object), typeof(BindingHelper), new PropertyMetadata((d, e) => ((BindingHelper)d).OnValueChanged(e.OldValue, e.NewValue)));

        #endregion

        #region Public Properties

        /// <summary>
        ///   Gets or sets Value.
        /// </summary>
        public object Value
        {
            get
            {
                return this.GetValue(ValueProperty);
            }

            set
            {
                this.SetValue(ValueProperty, value);
            }
        }

        #endregion

        #region Methods

        /// <summary>
        ///   handles the ValueProperty changes.
        /// </summary>
        /// <param name = "oldValue">
        ///   The old value.
        /// </param>
        /// <param name = "newValue">
        ///   The new value.
        /// </param>
        private void OnValueChanged(object oldValue, object newValue)
        {
        }

        #endregion
    }
}