﻿// <copyright file="HitResult.cs" company="Ucaya">
// </copyright>
// <author>Ucaya</author>

namespace KinectExtensions.Nui
{
    #region

    using System.Windows;

    #endregion

    /// <summary>
    ///   TODO: Update summary.
    /// </summary>
    public struct HitResult
    {
        #region Constants and Fields

        /// <summary>
        ///   The none.
        /// </summary>
        public static HitResult None;

        #endregion

        #region Public Properties

        /// <summary>
        ///   Gets or sets CurrentKinectZone.
        /// </summary>
        public IKinectZone CurrentKinectZone { get; set; }

        /// <summary>
        ///   Gets or sets RelativeTouchPosition.
        /// </summary>
        public Point RelativeTouchPosition { get; set; }

        /// <summary>
        ///   Gets or sets a value indicating whether Result.
        /// </summary>
        public bool Result { get; set; }

        /// <summary>
        ///   Gets or sets TimeStamp.
        /// </summary>
        public long TimeStamp { get; set; }

        #endregion
    }
}