﻿// <copyright file="IKinectZone.cs" company="Ucaya">
// </copyright>
// <author>Ucaya</author>

namespace KinectExtensions.Nui
{
    #region

    using System.Windows;
    using System.Windows.Media;

    using KinectExtensions.Controls;

    #endregion

    /// <summary>
    ///   TODO: Update summary.
    /// </summary>
    public interface IKinectZone
    {
        #region Public Methods

        /// <summary>
        ///   The handle cursor move.
        /// </summary>
        /// <param name = "cursor">
        ///   The cursor.
        /// </param>
        /// <param name = "transform">
        ///   The transform.
        /// </param>
        /// <returns>
        ///   The handle cursor move.
        /// </returns>
        bool HandleCursorMove(KinectCursor cursor, TranslateTransform transform, Point targer);

        #endregion
    }
}